/* Developed for Lenovo Educational Board Pass 3
   © Lenovo Created by Joshua Grosser
   v. 2.0 */

// include the following libraries
#include <Wire.h>
#include <SparkFun_APDS9960.h>

// APDS obejct
SparkFun_APDS9960 apds = SparkFun_APDS9960();
// Global variable to read ambient light values
uint16_t ambient_light = 0;

void setup() {
  // Initialize Serial port
  Serial.begin(9600);
  Serial.println();
  
  // Initialize APDS
  apds.init();
  apds.enableLightSensor(false);
  // Wait for initialization and calibration to finish
  delay(500);
}

void loop() {
  // Read the light levels (ambient)
  if (  !apds.readAmbientLight(ambient_light)) {
    Serial.println("Error reading light values");
  } else {
    // print if it is light or dark
    if (ambient_light < 100)
    {
      Serial.println("It is dark here.");
    }
    else
    {
      Serial.println("It is light here.");
    }
  } 
  // Wait 1 second before next reading
  delay(1000);
}
